Skip to content

Instantly share code, notes, and snippets.

@Sixeight

Sixeight/gist:6855391

Last active Dec 24, 2015
Embed
What would you like to do?
Xcode5にするとUnityのプラグインのコンパイル時に警告が出る問題
diff --git a/Info.plist b/Info.plist
index 30cb05c..d856ed8 100644
--- a/Info.plist
+++ b/Info.plist
@@ -42,6 +42,10 @@
<true/>
<key>XCPluginHasUI</key>
<false/>
+ <key>DVTPlugInCompatibilityUUIDs</key>
+ <array>
+ <string>37B30044-3B14-46BA-ABAA-F01000C27B63</string>
+ </array>
</dict>
</plist>
@Sixeight

This comment has been minimized.

Copy link
Owner Author

@Sixeight Sixeight commented Oct 6, 2013

/Applications/Unity/Unity.app/Contents/BuildTargetTools/iPhonePlayer/Unity4XC.xcplugin/Contents/Info.plist

以下の警告がでてる。

!!!2013-10-07 00:26:47.010 xcodebuild[30914:1207] [MT] PluginLoading: Required plug-in compatibility UUID 37B30044-3B14-46BA-ABAA-F01000C27B63 for plug-in at path '~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/Unity4XC.xcplugin' not present in DVTPlugInCompatibilityUUIDs!!!
@Sixeight

This comment has been minimized.

Copy link
Owner Author

@Sixeight Sixeight commented Oct 6, 2013

今回は警告文に書いてあったのでコピペしたが、DVTPlugInCompatibilityUUIDs は Xcode の Info.plist に書いてあるので確認できる。

open /Applications/Xcode.app/Contents/Info.plist
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment